- job:
    name: gerritlib-jeepyb-integration
    description: Run manage_projects with gerritlib from source against Gerrit
    nodeset: ubuntu-jammy
    pre-run: playbooks/jeepyb-integration/pre.yaml
    run: playbooks/jeepyb-integration/run.yaml
    post-run: playbooks/jeepyb-integration/post.yaml
    required-projects:
      - opendev/gerritlib
      - opendev/jeepyb

- project:
    check:
      jobs:
        - gerritlib-jeepyb-integration
        - nox-py310:
            nodeset: ubuntu-jammy
        - nox-py311:
            nodeset: debian-bookworm
        - nox-py312:
            nodeset: ubuntu-noble
    gate:
      jobs:
        - gerritlib-jeepyb-integration
        - nox-py310:
            nodeset: ubuntu-jammy
        - nox-py311:
            nodeset: debian-bookworm
        - nox-py312:
            nodeset: ubuntu-noble
